package com.hp.user.service;

import cn.nyhlw.doc2swagger.springswagger2.EnableSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import org.springframework.context.annotation.ComponentScan;

/**
 * 用户服务启动类
 * @author yeqid
 * @since 2020/11/18
 *
 */
@EnableSwagger2
@MapperScan("com.hp.user.service.dao") //扫描的mapper
@SpringBootApplication
@NacosPropertySource(dataId = "userdatasource", autoRefreshed = true)
@ComponentScan("com.hp.user.service.config")
public class UserServiceApplaction {
	public static void main(String[] args) {
		SpringApplication.run(UserServiceApplaction.class, args);
	}
}
