package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 用户地址信息
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_address")
public class Address extends Base{

    /**
     * 地址Id
     */
    private Long addressId;
    /**
     * 所属Id
     */
    private Long ownerId;
    /**
     * 地址
     */
    private String address;
    /**
     * 省份编码
     */
    private String provinceCode;
    /**
     * 城市编码
     */
    private String cityCode;
    /**
     * 区县编码
     */
    private String countCode;
    /**
     * 街道编码
     */
    private String streetCode;
    /**
     * 维度
     */
    private BigDecimal longitude;
    /**
     * 经度
     */
    private BigDecimal latitude;
    /**
     * 是否为默认地址 0:否；1:是
     */
    private Short sysDefault;
    /**
     * 地址标签；0:家；1:公司
     */
    private Short tag;

    public Address(){}

    public Address(Date createTime, Long createUserId, Date updateTime, Long updateUserId, Long addressId, Long ownerId, String address, String provinceCode, String cityCode, String countCode, String streetCode, BigDecimal longitude, BigDecimal latitude, Short sysDefault, Short tag) {
        super(createTime, createUserId, updateTime, updateUserId);
        this.addressId = addressId;
        this.ownerId = ownerId;
        this.address = address;
        this.provinceCode = provinceCode;
        this.cityCode = cityCode;
        this.countCode = countCode;
        this.streetCode = streetCode;
        this.longitude = longitude;
        this.latitude = latitude;
        this.sysDefault = sysDefault;
        this.tag = tag;
    }

    public Long getAddressId() {
        return addressId;
    }

    public void setAddressId(Long addressId) {
        this.addressId = addressId;
    }

    public Long getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCountCode() {
        return countCode;
    }

    public void setCountCode(String countCode) {
        this.countCode = countCode;
    }

    public String getStreetCode() {
        return streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public Short getSysDefault() {
        return sysDefault;
    }

    public void setSysDefault(Short sysDefault) {
        this.sysDefault = sysDefault;
    }

    public Short getTag() {
        return tag;
    }

    public void setTag(Short tag) {
        this.tag = tag;
    }
}
